Bug 663512 - SELinux is preventing /usr/bin/mpd "ioctl" access on /dev/snd/pcmC0D0p.
Summary: SELinux is preventing /usr/bin/mpd "ioctl" access on /dev/snd/pcmC0D0p.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:133b755b2bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 00:56 UTC by John Preston
Modified: 2010-12-21 23:59 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.7-18.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 23:59:33 UTC


Attachments (Terms of Use)

Description John Preston 2010-12-16 00:56:53 UTC
Summary:

SELinux is preventing /usr/bin/mpd "ioctl" access on /dev/snd/pcmC0D0p.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by mpd. It is not expected that this access is
required by mpd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:mpd_t:s0
Target Context                system_u:object_r:sound_device_t:s0
Target Objects                /dev/snd/pcmC0D0p [ chr_file ]
Source                        mpd
Source Path                   /usr/bin/mpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mpd-0.15.12-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-14.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.9-64.fc14.i686 #1 SMP Fri Dec 3
                              12:35:42 UTC 2010 i686 i686
Alert Count                   4
First Seen                    Mon 13 Dec 2010 08:45:30 PM EST
Last Seen                     Mon 13 Dec 2010 10:27:50 PM EST
Local ID                      c74cbce2-48aa-4ce8-b51b-3a406d72e972
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1292297270.495:355): avc:  denied  { ioctl } for  pid=5439 comm="mpd" path="/dev/snd/pcmC0D0p" dev=devtmpfs ino=11222 scontext=unconfined_u:system_r:mpd_t:s0 tcontext=system_u:object_r:sound_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1292297270.495:355): arch=40000003 syscall=54 success=yes exit=0 a0=d a1=4143 a2=200 a3=0 items=0 ppid=1 pid=5439 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="mpd" exe="/usr/bin/mpd" subj=unconfined_u:system_r:mpd_t:s0 key=(null)



Hash String generated from  catchall,mpd,mpd_t,sound_device_t,chr_file,ioctl
audit2allow suggests:

#============= mpd_t ==============
allow mpd_t sound_device_t:chr_file ioctl;

Comment 1 Miroslav Grepl 2010-12-16 09:27:34 UTC
Fixed in selinux-policy-3.9.7-18.fc14

Comment 2 Fedora Update System 2010-12-16 15:54:48 UTC
selinux-policy-3.9.7-18.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 3 Fedora Update System 2010-12-17 08:36:58 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 4 Fedora Update System 2010-12-21 23:58:51 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.